classification
Title: On the distutils2 documentation, 'requires-python' shouldn't be documented as *multi
Type: Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: Julien.Miotte, alexis, eric.araujo, kelsey.hightower, python-dev, tarek
Priority: normal Keywords:

Created on 2011-01-28 11:39 by Julien.Miotte, last changed 2011-06-07 15:55 by eric.araujo. This issue is now closed.

Messages (5)
msg127287 - (view) Author: Julien Miotte (Julien.Miotte) Date: 2011-01-28 11:39
On the documentation page: http://distutils2.notmyidea.org/setupcfg.html, one can read :

# requires-python: Specifies the Python version the distribution requires. The value is a version number, as described in PEP 345. *optional *multi *environ

This is not consistant with the PEP 345 (http://www.python.org/dev/peps/pep-0345/#requires-python), which doesn't specify that this field is of multiple use.

Distutils's behaviour on this matter is consistent with the PEP thought, so there's only need to remove the "*multi" in the documentation.
msg129735 - (view) Author: Kelsey (kelsey.hightower) Date: 2011-03-01 02:57
Fixed in my bitbucket fork.

https://bitbucket.org/khightower/distutils2/changeset/ee9e580e5000
msg129840 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-02 00:37
Thanks for spotting this.  I agree with your analysis, but not with your patch :)  The value is a comma-separated list of version predicates, not a version number.
msg129841 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-02 00:38
A note about the bug tracker fields: Setting the component to Distutils will automatically get Tarek and me nosy, setting it to Distutils2 will add Alexis as well.  Also please set 3rd party for version.  Thanks for your contribution!
msg137837 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-06-07 15:32
New changeset d8d1bd2c4847 by Éric Araujo in branch 'default':
Fix documentation of requires-python field in setup.cfg (#11041)
http://hg.python.org/cpython/rev/d8d1bd2c4847
History
Date User Action Args
2011-06-07 15:55:35eric.araujosetstatus: open -> closed
assignee: tarek -> eric.araujo
resolution: fixed
stage: patch review -> resolved
2011-06-07 15:32:01python-devsetnosy: + python-dev
messages: + msg137837
2011-03-02 00:39:41eric.araujosetnosy: + alexis
2011-03-02 00:38:56eric.araujosetnosy: - tarek-ziade
messages: + msg129841
2011-03-02 00:37:02eric.araujosetnosy: tarek-ziade, tarek, eric.araujo, Julien.Miotte, kelsey.hightower
versions: + 3rd party
messages: + msg129840
stage: patch review
2011-03-01 02:57:40kelsey.hightowersetnosy: + kelsey.hightower
messages: + msg129735
2011-01-28 11:39:48Julien.Miottecreate